
using System;

namespace Quadarax.Foundation.Core.Logging
{
    public class ConsoleLogger : ILogger
    {
        private LogSeverityEnum[] _excludeSeverities;

        public ConsoleLogger(params LogSeverityEnum[] excludeSeverities)
        {
            _excludeSeverities = excludeSeverities;
        }

        public ILog GetLogger(string loggerName)
        {
            return new ConsoleLog(loggerName, _excludeSeverities);
        }

        public ILog GetLogger(Type loggerForType)
        {
            return new ConsoleLog(loggerForType, _excludeSeverities);
        }
    }
}
